package com.hfkj.service.merchant;

import com.hfkj.entity.BsMerchantAccountRecord;
import com.hfkj.entity.BsMerchantChainBrandAccountRecord;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerchantChainBrandAccountRecordService
 * @author: HuRui
 * @date: 2024/8/14
 **/
public interface BsMerchantChainBrandAccountRecordService {

    /**
     * 创建
     * @param data
     */
    void create(BsMerchantChainBrandAccountRecord data);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsMerchantChainBrandAccountRecord getDetail(Long id);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsMerchantChainBrandAccountRecord> getList(Map<String,Object> param);
}
